import React from 'react';
import { Entity } from '@alephdata/followthemoney';
import './EntityList.scss';
interface IEntityListProps {
    entities: Array<Entity>;
    onEntitySelected?: (selection: Entity) => void;
    onEntityRemoved?: (selection: Entity) => void;
}
export declare class EntityList extends React.PureComponent<IEntityListProps> {
    constructor(props: IEntityListProps);
    renderItem(entity: Entity): JSX.Element;
    render(): JSX.Element;
}
export {};
